Get all events

Retrieve all accessible events limited in number by the (default) limit parameter and possibly filtered.

The stream urls will be returned only if the filter includeUrlTypes is provided in the request. There could be events without stream urls, this will happen if there is no recording present which can be due to reasons like low badnwidth.

Retrieved events are ordered by eventId descending, which in most of the cases means the most recent events are returned first and the events then go back in time until the limit is reached. In some cases, though, it can happen that an event with greater event id has an older timestamp than an other event, for example for Analytics events respect to the same camera's Trigger events.

Pagination is achieved by checking whether the Link header is returned in the response. If the header is returned, the caller should use the URL provided to request the next page. If no link with relation "next" is returned, that means that there are no more events that match the criteria.

If the value of a filtering options such as the cameraIds doesn't exist or the user doesn't have access to them no error is thrown. Reason for this is these options are only used to filter, not to retrieve and as such no events would be returned anyway if the user didn't have access to it. Thus supplying a cameraId that the user doesn't have access to doesn't suddenly result in more events being returned.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
int32
≤ 200
Defaults to 50

Gives the maximum number of events that will be returned in a single request. A default and maximum value are set to keep returned counts reasonable.

int64

If this field is present, only events are returned that have eventId equal or higher than the given value.

int64

If this field is present, only events are returned that have eventId equal or lower than the given value.

date-time

If this field is present, only events are returned that have a timestamp equal or higher than the given value.

date-time

If this field is present, only events are returned that have a timestamp equal or less than the given value.

cameraIds
array of int32s

If this field is present, only camera events linked to the given cameraIds are returned.

cameraIds
types
array of strings

Only events will be returned of the types given in this comma-separated list of event types. All the event types will be returned if the field is not present.

types
includeUrlTypes
array of strings

a comma separated list of URL types. Only when this is present, the response will include the URLs correspondent to given types

includeUrlTypes
string
enum
Defaults to eventId.desc

If this field is present, it is used to decide how to sort events. If not present, events are sorted from higher eventId to lower eventId.

Allowed:
faceIds
array of uuids

If this field is present, only events linked to the given faceIds are returned.

faceIds
categories
array of strings

If this field is present, only events linked to the given categories are returned. This can be used to search for any of the available event categories, across different event types

categories
Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json